using System;

internal sealed class Delegate543 : MulticastDelegate
{
	public extern void Invoke(object object_0);

	public static void smethod_0(object object_0, Delegate543 delegate543_1)
	{
		delegate543_1(object_0);
	}

	public extern Delegate543(object object_0, IntPtr intptr_0);

	static Delegate543()
	{
		Class10.smethod_13(typeof(Delegate543).TypeHandle);
	}

	internal static Delegate543 delegate543_0;
}
